Get payment status by id
curl --request GET \
--url https://api.bitnbox.io/v1/payment/{id}/status \
--header 'x-api-key: <api-key>'import requests
url = "https://api.bitnbox.io/v1/payment/{id}/status"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.bitnbox.io/v1/payment/{id}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "waiting",
"payAmount": 123,
"payAddress": "<string>",
"payQrCodeUri": "<string>",
"currency": "<string>",
"network": "<string>",
"customerId": "<string>",
"customerIp": "<string>",
"orderId": "<string>",
"platformFeeByUser": true,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"expiredAt": "2023-11-07T05:31:56Z",
"webhookUrl": "<string>",
"paidAmount": 123,
"merchantAmount": 123,
"paidAddress": "<string>",
"additionalData": "<string>"
}Payment
Status payment
Get the actual information about the payment. You need to provide the ID of the payment in the request.
GET
/
v1
/
payment
/
{id}
/
status
Get payment status by id
Authorizations
Path Parameters
Unique identifier of the payment
Response
200 - application/json
200
Successful response with payment status details
Unique payment identifier
Payment status
Available options:
waiting, confirming, failed, locked, rejected, expired, paid, paid_over, paid_partial Crypto AMOUNT+PERCENT
Payment address
URI for payment QR code
Cryptocurrency type (btc, usdt, eth, etc)
Minimum string length:
1Cryptocurrency network (e.g., erc20)
Customer ID (for security)
Minimum string length:
1Customer IP address (for security)
Minimum string length:
1Order id
Fee by user/merchant
Date of creation
Date of update
Date of expire
Webhook url
Amount paid
Amount of money was paid to merchant
Payment address
Additional data